<template>


    <!-- 

    question: 6

    ---------------------------------------------------------- -->
    <div class='swiper-slide selection-question results-in' data-hash='Q6'>
        <div class='outer'>
            <h1>What level of security do you require?</h1>
            <p>
                When it comes to shredding confidential information, the smaller the particles, the greater the security. Security levels are based on actual particle dimensions and the ability for these particles to be reassembled.
            </p>
            <div class='buttons are-one-fourth with-security-levels security-levels'>
                <label v-on:click="pickAnswer('P2')" class='button has-figure'>
                    <span class='button-figure figure-p2'></span>
                    <span class='button-caption'>Low</span>
                </label>
                <label v-on:click="pickAnswer('P4')" class='button has-figure'>
                    <span class='button-figure figure-p4'></span>
                    <span class='button-caption'>Standard</span>
                </label>
                <label v-on:click="pickAnswer('P6')" class='button has-figure'>
                    <span class='button-figure figure-p6'></span>
                    <span class='button-caption'>Advanced</span>
                </label>
                
                <label v-on:click="pickAnswer('P3')" class='button has-figure'>
                    <span class='button-figure figure-p3'></span>
                    <span class='button-caption'>Basic</span>
                </label>

                <label v-on:click="pickAnswer('P5')" class='button has-figure'>
                    <span class='button-figure figure-p5'></span>
                    <span class='button-caption'>Greater</span>
                </label>

                <label v-on:click="pickAnswer('P7')" class='button has-figure'>
                    <span class='button-figure figure-p7'></span>
                    <span class='button-caption'>Extreme</span>
                    <!--<span class='security-level'>
                    <span class='security-level-label'>Top Secret</span>
                  </span>-->
                </label>
            </div>
        </div>
    </div>
</template>

<script>
  import { mapGetters, mapMutations } from 'vuex'

  export default {
    name: 'Question5',
    computer: {
      ...mapGetters(['isQuestion', 'answers']),
    },

    methods: {
      ...mapMutations(['goto', 'setSecurity']),
      pickAnswer(answer) {
        this.setSecurity(answer);
        this.goto(7);
      }
    }
  }
</script>